%global _prefix /opt/mellanox/iproute2
%global _mandir /opt/mellanox/iproute2/share/man
%global _defaultdocdir /opt/mellanox/iproute2/share/doc
%global _sbindir /opt/mellanox/iproute2/sbin
%global debug_package %{nil}

%global HAVE_LIBMNL %(if (pkg-config libmnl --exists >/dev/null 2>&1); then echo -n '1'; else echo -n '0'; fi)

Summary:	Utility to control Networking behavior in.X kernels
Name:		mlnx-iproute2
Version:	4.7.0
Release: 1.43302
License:	GPL
Group:		Networking/Admin
Source0:	http://www.kernel.org/pub/linux/utils/net/iproute2/%{name}-%{version}.tar.gz
URL:		http://www.linuxfoundation.org/collaborate/workgroups/networking/iproute2
BuildRequires:	bison
BuildRequires:	flex
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	%{_prefix}/etc/iproute2

%description
Linux maintains compatibility with the basic configuration utilities
of the network (ifconfig, route) but a new utility is required to
exploit the new characteristics and features of the kernel. This
package includes the new utilities.

%package -n libnetlink-devel
Summary:	Library for the netlink interface
Group:		Development/Libraries

%description -n libnetlink-devel
This library provides an interface for kernel-user netlink interface.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}"		\
	HOSTCC="%{__cc}"	\
	LD="%{__cc}"		\
	LIBDIR="%{_libdir}"	\
	PREFIX="%{_prefix}"	\
	SUBDIRS="lib rdma"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_includedir},%{_libdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT	\
	LIBDIR="%{_libdir}" \
	PREFIX="%{_prefix}"	\
	SUBDIRS="lib rdma"

install lib/libnetlink.a $RPM_BUILD_ROOT%{_libdir}
install include/libnetlink.h $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README README.decnet README.iproute2+tc README.lnstat
%dir %{_prefix}
%dir %{_prefix}/etc
%dir %{_prefix}/share
%{_prefix}/sbin
%{_prefix}/include
%{_libdir}
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*
%{_datadir}/*